import lin
import grn
import boolFs as b

def go():
    tss, _ = lin.mkSeries()
    lin.filterL1(tss)
    G = grn.GRN("../data/boolNets/refInteractions_analysis_20191216.txt")

    geneNms = G.getUniqGeneNames()

    intrs = grn.getInteractionsGenesT(geneNms, G)
    
    fsT = b.get_fsT(tss, intrs)
    fsT_D1 = b.get_fsTD1(tss, intrs)

    return fsT, fsT_D1


def write(fsT, fname):
    resT = {}
    for t in [10, 40, 96, 120, 132]:
        resT[t] = b.map_gfs(fsT[t], b.serialise_f)

    with open(fname, "wb") as fout:
        cPickle.dump(resT, fout)
